# Fetching a list of Story Dependencies

This endpoint returns structured Story Dependency objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the story_dependencies top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /story_dependencies
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- source (Story) - The tasks that are predecessor tasks.
- target (Story) - The tasks that are successor tasks.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: updated_at:asc and updated_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `show_archived` (boolean)
    If set to true, includes in the response dependencies where the target is an archived task.

  - `show_deleted` (boolean)
    If set to true, includes in the response dependencies where the target is an deleted task.

  - `show_from_archived_workspaces` (boolean)
    If set to true, includes in the response dependencies where the tasks belong to archived projects.

  - `source_id` (integer)
    Filter for dependencies where this task is the predecessor, i.e. the task that controls the start or end date for all related successor tasks.

  - `target_id` (integer)
    Filter for dependencies where this task is the successor, i.e. the task whose start or end date is controlled by a predecessor.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `workspace_id` (integer)
    Filter for dependencies where the tasks belong to a specific project.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `story_dependencies` (object)

  - `stories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


